#include "ew_thread.h"
#include "ewmain.h"
#include "ewrte.h"
#include "ew_bsp_system.h"
#include "ew_bsp_console.h"

/* EmbeddedWizard entry function */
/* pvParameters contains TaskHandle_t */
void ew_thread_entry(void *pvParameters)
{
  FSP_PARAMETER_NOT_USED (pvParameters);

  /* TODO: add your own code here */

  unsigned int stack;

  /* determine the stack area and provide it to the Runtime Environmnet */
  EwSetStackAddressArea( &stack, (void*)((unsigned int)&stack - EW_GUI_THREAD_STACK_SIZE ));

  /* initialize system */
  EwBspSystemInit();

  /* initialize console interface for debug messages */
  EwBspConsoleInit();

  /* initialize Embedded Wizard application */
  if ( EwInit() == 0 )
    return;

  EwPrintSystemInfo();

  /* process the Embedded Wizard main loop */
  while( EwProcess())
    ;

  /* de-initialize Embedded Wizard application */
  EwDone();

  /* restore console */
  EwBspConsoleDone();

  /* terminate the system */
  EwBspSystemDone();
}
